Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xmldb
Class RemoteCompiledExpression

    java.lang.Object
      org.exist.xmldb.RemoteCompiledExpression

All Implemented Interfaces:
  CompiledExpression

public class RemoteCompiledExpression
extends java.lang.Object
implements CompiledExpression

This is just a placeholder for an expression that has been compiled on the server. It only stores the xquery string.

Author:
  wolf

Constructor Summary
`RemoteCompiledExpression(java.lang.String xquery)`

Method Summary
`java.lang.String` | `getQuery()`
`void` | `reset()` Prepare the expression for being reused.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteCompiledExpression

    public RemoteCompiledExpression(java.lang.String xquery)

Method Detail

### reset

    public void reset()

  Description copied from interface: `CompiledExpression`
  Prepare the expression for being reused.

  Specified by:
    `reset` in interface `CompiledExpression`

### getQuery

    public java.lang.String getQuery()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.